# Update Document **PUT /api/v1.0/docs/{document_id}** This endpoint updates document using unique document id with given data. ## Servers - https://openapi.niftypm.com: https://openapi.niftypm.com () ## Authentication methods - Bearer ## Parameters ### Path parameters - **document_id** (string) Document ID ### Body: application/json (object) - **name** (string) Document name - **archived** (boolean) Archived - **access_type** (number) - **force** (boolean) Force Flag - **content** (object) - **folder_id** (string) Folder ID - **folder_stack** (array[string]) Folder path stack - **multipage** (boolean) Is Multiple page? - **order** (number) Document Order ## Responses ### 200 Success Response #### Body: application/json (object) - **message** (string) Message - **doc_id** (string) Document ID ### 204 The record doesn't exist. ### 401 The client request has not been completed because it lacks valid authentication credentials for the requested resource. ### 403 The client does not have access rights to the content. ### 405 The request method is known by the server but is not supported by the target resource. [Powered by Bump.sh](https://bump.sh)